Bug 132105 - COUNTBLANK function fails with external references
Summary: COUNTBLANK function fails with external references
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2020-04-14 19:17 UTC by Andreas Säger
Modified: 2020-09-11 19:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ods with test data (14.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-14 19:18 UTC, Andreas Säger
Details
ods showing the errors (12.72 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-14 19:19 UTC, Andreas Säger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Säger 2020-04-14 19:17:55 UTC
Description:
See attached files. 
COUNTBLANK('file:///path/source.ods'#Sheet.A1:A99) fails with Err:504
Match(A1 ; 'file:///path/source.ods'#Sheet.A1:A99 ; 0) fails with #N/A if the matching value is a nummber.

Tested with LO 6.0 (Ubuntu PPA), LO 6.4 
AOO 4.1.7 shows the 2 Err:504 with COUNTBLANK but not the #N/A error with MATCH.

Steps to Reproduce:
1. Put both attachments into one directory
2. Open both files
3. Update links of links.ods

Actual Results:
3 Error values in links.ods

Expected Results:
No error values.


Reproducible: Always


User Profile Reset: No



Additional Info:
No more info
Comment 1 Andreas Säger 2020-04-14 19:18:37 UTC
Created attachment 159562 [details]
ods with test data
Comment 2 Andreas Säger 2020-04-14 19:19:08 UTC
Created attachment 159563 [details]
ods showing the errors
Comment 3 m.a.riosv 2020-04-14 20:40:57 UTC
Confirmed COUNTBLANK gives Err:504.
But MATCH returns no error.
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4475bcd83aac7e033fc5250f268eb922bd471e7b
CPU threads: 4; OS: Windows 10.0 Build 19603; UI render: Skia/Raster; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Comment 4 Andreas Säger 2020-04-15 07:56:48 UTC
The issue with MATCH may be my fault. Today I don't see the #N/A error anymore.
Comment 5 Eike Rathke 2020-08-20 13:49:04 UTC
Same for any array/matrix like
=COUNTBLANK(TRANSPOSE(A1:B2))
which an external reference should be obtained as.
Comment 6 Commit Notification 2020-08-20 16:39:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/70126c3eb7a532b5f1e852d9ac81d0ece6edf0c3

Resolves: tdf#132105 COUNTBLANK() handle external references and array/matrix

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2020-08-20 16:46:02 UTC
That needs further refinement to handle empty string in matrix similar to empty string formula result in references, i.e. count as blank.
Comment 8 Commit Notification 2020-08-20 17:57:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/64e19525eebd0974f1609300d95a74c1e083e8e3

Follow-up: tdf#132105 COUNTBLANK() count empty strings also in array/matrix

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2020-08-20 18:35:29 UTC
Pending review https://gerrit.libreoffice.org/c/core/+/101086 for 7-0
Comment 10 Commit Notification 2020-08-22 13:37:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7def66a03ba888762c4902fcc64c41b45a6fd41a

Resolves: tdf#132105 COUNTBLANK() handle external references and array/matrix

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-09-06 14:57:37 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e68febccd3926635da3a64b99b01d3eff0273919

tdf#132105: sc_subsequent_filters_test: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2020-09-11 19:25:43 UTC
It's ok in
Version: 7.1.0.0.alpha0+
Build ID: 3a22f5a589e822e7ca8bbb00e38a3aff93ed7ba5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded